#ifndef CMWCamMatch_Calibration_H
#define CMWCamMatch_Calibration_H

#include "cmwcamalgorithm.h"

namespace Ui {
class CMWCamMatch_Calibration;
}

class CMWCamMatch_Calibration : public CMWCamAlgorithm
{
	Q_OBJECT

public:
    explicit CMWCamMatch_Calibration(QWidget *parent, int32_t iCamID);
    ~CMWCamMatch_Calibration();

    void MInit();
    void MFresh();
    void FreshModel();
    void MApply();
private slots:
    void on_pushButton_Tool_clicked();

    void on_pushButton_Train_clicked();

    void on_pushButton_Load_clicked();

    void on_pushButton_Save_clicked();

    void on_pushButton_Exe_clicked();

//    void on_checkBox_ROI_clicked();

//    void on_checkBox_ROI_clicked(bool checked);

    void on_pushButton_ROI_clicked();

    void on_btnMoveToCali_clicked();

    void on_btnLoad_clicked();

    void on_btnSave_clicked();

    void on_btnCalibration_clicked();

private:
    Ui::CMWCamMatch_Calibration *ui;
};

#endif // CMWCamMatch_Calibration_H
